Subject: Re: 1994 NAMES exhibition

From: [email-masked] (Charles B. Vincent)
Date: Fri, 6 May 1994 15:35:26 GMT

Alan Frisbie ([email-masked]) wrote:
: In article <[email-masked]>, 
: [email-masked] (Ron Ginger) writes:

: Does anyone have any experience with "exotic" materials like
: titanium?   Does it work harden?   What would I have to watch
: out for in this kind of application?   Where can I get it in
: small quantities (4" x 4" x 0.1" sheets)?

      Spoke with my brother in law.  He said it was difficult to work with
since it was very hard and brittle.  They used a process he called 
Chem-milling, in addition to the standard machining process.  It 
consisted of masking the titanium and exposing it to 
some sort of chemical solution.  He said this was very accurate and produced
a very fine finish.  He didn't do a lot of the machining of titanium 
himself , 
since his specialty was composites, but if you like I can try to get you a 
contact still working there.  They were are all hsms themselves.